Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.messaging.core.local
Class CoreSubscription

    java.lang.Object
      org.jboss.messaging.core.ChannelSupport
          org.jboss.messaging.core.local.Pipe
              org.jboss.messaging.core.local.CoreSubscription

All Implemented Interfaces:
  Channel, DeliveryObserver, Distributor, Receiver

Direct Known Subclasses:
  Subscription

public class CoreSubscription
extends Pipe

Represents a subscription to a destination (topic or queue).

Author:
  Tim Fox $Id: CoreSubscription.java,v 1.9 2006/06/27 19:44:40 timfox Exp $

Field Summary
`protected Filter` | `filter`
`protected Topic` | `topic`

Fields inherited from class org.jboss.messaging.core.ChannelSupport
`channelID, mm, ms, pm, router, state`

Constructor Summary
`CoreSubscription(long id, Topic topic, MessageStore ms, PersistenceManager pm, MemoryManager mm, boolean recoverable, int fullSize, int pageSize, int downCacheSize, Filter filter)`

Method Summary
`void` | `connect()`
`void` | `disconnect()`
`Topic` | `getTopic()`
`Delivery` | `handle(DeliveryObserver sender, Routable r, Transaction tx)` A receiver can return an active, "done" or null delivery.
`void` | `load()`
`java.lang.String` | `toString()`

Methods inherited from class org.jboss.messaging.core.ChannelSupport
`acceptReliableMessages, acknowledge, add, browse, browse, cancel, clear, close, contains, deliver, deliver, deliver, getChannelID, getMessageStore, isRecoverable, iterator, obtainReference, processMessageBeforeStorage, remove, removeAllMessages`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### topic

    protected Topic topic

### filter

    protected Filter filter

Constructor Detail

### CoreSubscription

    public CoreSubscription(long id,
                            Topic topic,
                            MessageStore ms,
                            PersistenceManager pm,
                            MemoryManager mm,
                            boolean recoverable,
                            int fullSize,
                            int pageSize,
                            int downCacheSize,
                            Filter filter)

Method Detail

### handle

    public Delivery handle(DeliveryObserver sender,
                           Routable r,
                           Transaction tx)

  Description copied from interface: `Receiver`
  A receiver can return an active, "done" or null delivery. The method returns null in case the receiver doesn't accept the message. The return value is unspecified when the message is submitted in the context of a transaction (tx not null).

  Specified by:
    `handle` in interface `Receiver`
  Overrides:
    `handle` in class `ChannelSupport`

### connect

    public void connect()

### disconnect

    public void disconnect()

### getTopic

    public Topic getTopic()

### load

    public void load()
              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Pipe`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.